Commit 692b2437 authored by David I. Lehn's avatar David I. Lehn
Browse files

run libtoolize, remove generated file ltmain.sh add some newer versions for tool checks

Original commit message from CVS:
run libtoolize, remove generated file ltmain.sh
add some newer versions for tool checks
parent 8e013e5f
......@@ -28,9 +28,9 @@ autogen_options $@
echo -n "+ check for build tools"
if test ! -z $NOCHECK; then echo " skipped"; else echo; fi
version_check "autoconf" "$AUTOCONF autoconf autoconf-2.53 autoconf-2.52" \
version_check "autoconf" "$AUTOCONF autoconf autoconf-2.54 autoconf-2.53 autoconf-2.52" \
"ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 52 || DIE=1
version_check "automake" "$AUTOMAKE automake automake-1.6 automake-1.5" \
version_check "automake" "$AUTOMAKE automake automake-1.7 automake-1.6 automake-1.5" \
"ftp://ftp.gnu.org/pub/gnu/automake/" 1 5 || DIE=1
version_check "libtool" "" \
"ftp://ftp.gnu.org/pub/gnu/libtool/" 1 4 0 || DIE=1
......@@ -57,11 +57,7 @@ fi
toplevel_check $srcfile
tool_run "$aclocal" "-I m4 -I common/m4 $ACLOCAL_FLAGS"
# FIXME : why does libtoolize keep complaining about aclocal ?
echo "+ not running libtoolize until libtool fix has flown downstream"
# tool_run "libtoolize" "--copy --force"
tool_run "libtoolize" "--copy --force"
tool_run "$autoheader"
# touch the stamp-h.in build stamp so we don't re-run autoheader in maintainer mode -- wingo
......
This diff is collapsed.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment